<?php


require_once 'XML/Unserializer.php';


if ($_GET['p']){$p=$_GET['p'];}
else{
print "<a href='http://www.majesticla.com/gozencmsxml.html'>Please upload XML File!</a>"; 
exit;
}

if(file_exists("file/".$p.".xml")){
$xml = file_get_contents("file/".$p.".xml");
}
else{
print "<a href='http://www.majesticla.com/gozencmsxml.html'>Please upload XML File!</a>"; 
exit;
}

//remove uncertain text
function convstr ($str)
{
$str = htmlspecialchars ($str);
$str = strip_tags ($str);
$str = stripslashes ($str);
$str = ereg_replace("'", "", $str);
return $str;
}

$Unserializer =& new XML_Unserializer();
$Unserializer->setOption('parseAttributes', TRUE);
$status = $Unserializer->unserialize($xml);
if ($status === true) {
  $searchResult = $Unserializer->getUnserializedData();
  }



$num=convstr($_GET['num']);

$searchResult['RESULTSET']['ROW']  = array_splice($searchResult['RESULTSET']['ROW'] ,$num,1);


//define filename as Title
$filename=str_replace(".fp7","",$searchResult['DATABASE']['NAME']);


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<meta id="viewport" name="viewport" content="width=320; initial-scale=1.0; maximum-scale=1.0; user-scalable=0;" />
	<title><? print $filename; ?>: Detail</title>
	<link rel="stylesheet" href="stylesheets/iphone.css" />
</head>

<body>
	
	<div id="header">
		<h1><? print $filename; ?></h1>
		<a href="index.php?p=<? print $p; ?>" id="backButton" class="nav">Back</a>
	</div>

<br />

<ul class="fields">
    
    <? 
	//each record start
		 foreach($searchResult['RESULTSET']['ROW'] as $searchRow){
	$i=0;
	
		 foreach($searchRow['COL'] as $searchField){
?><li><h3><?
		//print title
		 if(!is_array($searchField['DATA'])){print $searchResult['METADATA']['FIELD'][$i]['NAME'];}
		else {
		print mb_substr(strstr($searchResult['METADATA']['FIELD'][$i]['NAME'],"::"),2,mb_strlen($searchResult['METADATA']['FIELD'][$i]['NAME'], "utf8")-2);
		}
		 ?>: </h3><br /><span  class="fieldtxt"><?
         //print field data
		 if(!is_array($searchField['DATA'])){print nl2br($searchField['DATA']); }
		else
		{
		//print repeating field
		print "<br />";
		foreach ($searchField['DATA'] as $repeatfield){
		print  nl2br("<font class=\"rep\">".$repeatfield."</font><br/>");
		 }
		 }
		?></span></li>
    <? 
	$i++;
	}
		  } ?>
    
    
</ul>

<p><strong>FileMaker Data Viewer</strong><br />
  Powered by <br />
  <a href="http://gozen.majesticla.com">Go-Zen CMS</a> | <a href="http://www.majestic.co.jp">Darekan
  Web</a><br />
Copyright &copy; <a href="http://www.majesticla.com/" target="_blank">Majestic,
Inc.</a></p>

</body>
</html>